upstream bootstrap_vault {
    server 127.0.0.1:8200;
}

server {
  listen {{ ipv4 }}:8200 ssl;
#  server_name SUBDOMAIN.DOMAIN.TLD;

  ssl_certificate /srv/certs/nginx-vault.pem;
  ssl_certificate_key /srv/certs/nginx-vault.key;
  location / {
    proxy_set_header Host $host;
    proxy_set_header X-Real-IP $remote_addr;
    proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
    proxy_pass http://bootstrap_vault;
  }
}
